#' Immigration en Israël
#'
#' Un tableau avec l'immigration en Israël par année
#' en chiffre absolus de 1949 à 2017.
#'
#' @format Un tibble avec 2 colonnes et 69 lignes
#' \describe{
#'   \item{year}{L'année d'immigration}
#'   \item{immigration}{Nombre absolu de personnes}
#' }
#' @source <https://www.cbs.gov.il/he/publications/doclib/2018/4.%20shnatonimmigration/st04_02.pdf>
"oc_israel_palestine_immigration_israel"

#' Population israélienne née à l'étranger
#'
#' Un tableau avec l'origine pour la population
#' née à l'étranger en Israël en 2008.
#'
#' @format Un tibble avec 3 colonnes et 5 lignes
#' \describe{
#'   \item{country}{Le pays de naissance}
#'   \item{continent}{Le continent de naissance}
#'   \item{population}{Nombre absolu de personnes}
#' }
#' @source <https://www.cbs.gov.il/en/Statistics/Pages/Generators/Generator-of-the-2008-Census.aspx>
"oc_israel_palestine_2008_population_nae"

#' Immigration juive en Palestine avant 1948
#'
#' Un tableau avec l'immigration **approximative**
#' en Palestine avant 1948. Montre les cinq premières
#' Aliyah juives.
#'
#' @format Un tibble avec 2 colonnes et 6 lignes
#' \describe{
#'   \item{period}{La période}
#'   \item{immigration}{Le nombre approximatif de Juifs qui immigrent}
#' }
#' @source <https://www.bpb.de/themen/migration-integration/laenderprofile/english-version-country-profiles/58400/historical-development-of-jewish-immigration/>
#' @md
"oc_israel_palestine_immigration_juive_avant_1948"
